{
  "custom": {
    "data": "value"
  },
  "events": {
    "system": {
      "onStartup": {
        "config": {
          "script": "\tproject_info \u003d system.perspective.getProjectInfo()\n\tviews \u003d project_info.get(\u0027views\u0027,[])\n\tfilter_criterion \u003d \"Symbol-Views\"\n\tfilter_criterion2 \u003d \"Symbol-Library-Views\"\n\tfilter_criterion3 \u003d \"Controller-Views\"\n\tfilter_criterion4 \u003d \"Device-Views\"\n\tfiltered_views \u003d [\n\t\tview for view in views \n\t\t\t\n\t\tif filter_criterion in view.get(\u0027path\u0027,\u0027\u0027) \n\t\tand not filter_criterion2 in view.get(\u0027path\u0027,\u0027\u0027) \n\t\tand not filter_criterion3 in view.get(\u0027path\u0027,\u0027\u0027)\n\t\tand not filter_criterion4 in view.get(\u0027path\u0027,\u0027\u0027)\n\t\t]\n\tjson_structure \u003d []\n\tfor view in filtered_views:\n\t\t\n\t\tif \u0027Test\u0027 not in view[\u0027path\u0027]:\n\t\t\tinstance \u003d {\n\t\t\t\t\"instanceStyle\": {\n\t\t\t\t\t\"classes\": \"\"\n\t\t\t\t},\n\t\t\t\t\"instancePosition\": {},\n\t\t\t\t\"Path\": view.get(\u0027path\u0027,\u0027\u0027),\n\t\t\t\t\"forceRunning\":3,\n\t\t\t\t\"forceFault\": None,\n\t\t\t\t\"has_state\":True\n\t\t\t}\n\t\t\tjson_structure.append(instance)\n\t\t\n\tjson_result \u003d system.util.jsonEncode(json_structure)\n\tself.params.Dataset \u003d filtered_views\n\tself.params.FilteredViews \u003d json_structure\n\tself.session.custom.alarm_filter.show_running \u003d True\n\tself.session.custom.alarm_filter.show_safety \u003d True\n\tself.session.custom.alarm_filter.show_diagnostic \u003d True\n\tself.session.custom.alarm_filter.show_gateways \u003d True\n\tself.session.custom.alarm_filter.show_low_alarm \u003d True\n\t"
        },
        "scope": "G",
        "type": "script"
      }
    }
  },
  "params": {
    "Dataset": [
      {
        "path": "Symbol-Views/Equipment-Views/ARSAW"
      },
      {
        "path": "Symbol-Views/Equipment-Views/AUS"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Button"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Camera"
      },
      {
        "path": "Symbol-Views/Equipment-Views/CognexCamera"
      },
      {
        "path": "Symbol-Views/Equipment-Views/ControlCabinet"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Divert_Arm"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Estop"
      },
      {
        "path": "Symbol-Views/Equipment-Views/GoodsLift"
      },
      {
        "path": "Symbol-Views/Equipment-Views/JAM"
      },
      {
        "path": "Symbol-Views/Equipment-Views/JR_Button"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Kobukuro"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Lift"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Light_Curtain"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Main_Panel"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Network"
      },
      {
        "path": "Symbol-Views/Equipment-Views/PPI"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Photocell2_Lift"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Photocell_Lift"
      },
      {
        "path": "Symbol-Views/Equipment-Views/PinDetection"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Pointer"
      },
      {
        "path": "Symbol-Views/Equipment-Views/PressureSwitch"
      },
      {
        "path": "Symbol-Views/Equipment-Views/PullChord"
      },
      {
        "path": "Symbol-Views/Equipment-Views/PullChord_End"
      },
      {
        "path": "Symbol-Views/Equipment-Views/PullChord_Line"
      },
      {
        "path": "Symbol-Views/Equipment-Views/PullChord_Line_Vertical"
      },
      {
        "path": "Symbol-Views/Equipment-Views/RFID"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Robot"
      },
      {
        "path": "Symbol-Views/Equipment-Views/SLAMs"
      },
      {
        "path": "Symbol-Views/Equipment-Views/SS_Button"
      },
      {
        "path": "Symbol-Views/Equipment-Views/SafetyGate"
      },
      {
        "path": "Symbol-Views/Equipment-Views/SmartPac"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Spiral"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Stacker_Destacker"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Status"
      },
      {
        "path": "Symbol-Views/Equipment-Views/StatusNonPowered"
      },
      {
        "path": "Symbol-Views/Equipment-Views/StatusNonPowered_NS"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Status_NS"
      },
      {
        "path": "Symbol-Views/Equipment-Views/THEA"
      },
      {
        "path": "Symbol-Views/Equipment-Views/Test"
      }
    ],
    "FilteredViews": [
      {
        "Path": "Symbol-Views/Equipment-Views/ARSAW",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/AUS",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Button",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Camera",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/CognexCamera",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/ControlCabinet",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Divert_Arm",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Estop",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/GoodsLift",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/JAM",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/JR_Button",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Kobukuro",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Lift",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Light_Curtain",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Main_Panel",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Network",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/PPI",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Photocell2_Lift",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Photocell_Lift",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/PinDetection",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Pointer",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/PressureSwitch",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/PullChord",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/PullChord_End",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/PullChord_Line",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/PullChord_Line_Vertical",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/RFID",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Robot",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/SLAMs",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/SS_Button",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/SafetyGate",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/SmartPac",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Spiral",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Stacker_Destacker",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Status",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/StatusNonPowered",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/StatusNonPowered_NS",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/Status_NS",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      },
      {
        "Path": "Symbol-Views/Equipment-Views/THEA",
        "forceFault": null,
        "forceRunning": 3,
        "has_state": true,
        "instancePosition": {},
        "instanceStyle": {
          "classes": ""
        }
      }
    ]
  },
  "propConfig": {
    "custom.data": {
      "persistent": true
    },
    "params.Dataset": {
      "paramDirection": "output"
    },
    "params.FilteredViews": {
      "paramDirection": "output"
    }
  },
  "props": {
    "defaultSize": {
      "height": 309,
      "width": 378
    },
    "theme": "dark"
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Table"
            },
            "propConfig": {
              "props.data[11].Color.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "session.custom.colours.state5"
                  },
                  "type": "property"
                }
              },
              "props.data[11].Color.style.color": {
                "binding": {
                  "config": {
                    "expression": "if({session.custom.colours.colour_impaired}\u003d true, \u0027#000000\u0027,\u0027#FFFFFF\u0027) "
                  },
                  "type": "expr"
                }
              },
              "props.data[12].Color.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "session.custom.colours.state4"
                  },
                  "type": "property"
                }
              },
              "props.data[13].Color.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "session.custom.colours.state3"
                  },
                  "type": "property"
                }
              },
              "props.data[14].Color.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "session.custom.colours.state2"
                  },
                  "type": "property"
                }
              },
              "props.data[15].Color.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "session.custom.colours.state1"
                  },
                  "type": "property"
                }
              },
              "props.data[1].Color.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "session.custom.colours.state0"
                  },
                  "type": "property"
                }
              },
              "props.data[3].Color.style.backgroundColor": {
                "binding": {
                  "config": {
                    "path": "session.custom.colours.state5"
                  },
                  "type": "property"
                }
              },
              "props.data[3].Color.style.color": {
                "binding": {
                  "config": {
                    "expression": "if({session.custom.colours.colour_impaired}\u003d true, \u0027#000000\u0027,\u0027#FFFFFF\u0027) "
                  },
                  "type": "expr"
                }
              }
            },
            "props": {
              "cells": {
                "style": {
                  "paddingLeft": 5
                }
              },
              "columns": [
                {
                  "align": "center",
                  "boolean": "checkbox",
                  "dateFormat": "MM/DD/YYYY",
                  "editable": false,
                  "field": "Color",
                  "filter": {
                    "boolean": {
                      "condition": ""
                    },
                    "date": {
                      "condition": "",
                      "value": ""
                    },
                    "enabled": false,
                    "number": {
                      "condition": "",
                      "value": ""
                    },
                    "string": {
                      "condition": "",
                      "value": ""
                    },
                    "visible": "on-hover"
                  },
                  "footer": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": ""
                    },
                    "title": ""
                  },
                  "header": {
                    "align": "center",
                    "justify": "center",
                    "style": {
                      "classes": ""
                    },
                    "title": ""
                  },
                  "justify": "auto",
                  "nullFormat": {
                    "includeNullStrings": false,
                    "nullFormatValue": "",
                    "strict": false
                  },
                  "number": "value",
                  "numberFormat": "0,0.##",
                  "progressBar": {
                    "bar": {
                      "color": "",
                      "style": {
                        "classes": ""
                      }
                    },
                    "max": 100,
                    "min": 0,
                    "track": {
                      "color": "",
                      "style": {
                        "classes": ""
                      }
                    },
                    "value": {
                      "enabled": true,
                      "format": "0,0.##",
                      "justify": "center",
                      "style": {
                        "classes": ""
                      }
                    }
                  },
                  "render": "auto",
                  "resizable": true,
                  "sort": "none",
                  "sortable": false,
                  "strictWidth": true,
                  "style": {
                    "classes": ""
                  },
                  "toggleSwitch": {
                    "color": {
                      "selected": "",
                      "unselected": ""
                    }
                  },
                  "viewParams": {},
                  "viewPath": "",
                  "visible": true,
                  "width": 85
                },
                {
                  "align": "center",
                  "boolean": "checkbox",
                  "dateFormat": "MM/DD/YYYY",
                  "editable": false,
                  "field": "Description",
                  "filter": {
                    "boolean": {
                      "condition": ""
                    },
                    "date": {
                      "condition": "",
                      "value": ""
                    },
                    "enabled": false,
                    "number": {
                      "condition": "",
                      "value": ""
                    },
                    "string": {
                      "condition": "",
                      "value": ""
                    },
                    "visible": "on-hover"
                  },
                  "footer": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": ""
                    },
                    "title": ""
                  },
                  "header": {
                    "align": "center",
                    "justify": "center",
                    "style": {
                      "classes": ""
                    },
                    "title": ""
                  },
                  "justify": "auto",
                  "nullFormat": {
                    "includeNullStrings": false,
                    "nullFormatValue": "",
                    "strict": false
                  },
                  "number": "value",
                  "numberFormat": "0,0.##",
                  "progressBar": {
                    "bar": {
                      "color": "",
                      "style": {
                        "classes": ""
                      }
                    },
                    "max": 100,
                    "min": 0,
                    "track": {
                      "color": "",
                      "style": {
                        "classes": ""
                      }
                    },
                    "value": {
                      "enabled": true,
                      "format": "0,0.##",
                      "justify": "center",
                      "style": {
                        "classes": ""
                      }
                    }
                  },
                  "render": "auto",
                  "resizable": true,
                  "sort": "none",
                  "sortable": false,
                  "strictWidth": false,
                  "style": {
                    "borderLeftStyle": "solid",
                    "borderLeftWidth": 1,
                    "borderRightStyle": "solid",
                    "borderRightWidth": 1,
                    "classes": ""
                  },
                  "toggleSwitch": {
                    "color": {
                      "selected": "",
                      "unselected": ""
                    }
                  },
                  "viewParams": {},
                  "viewPath": "",
                  "visible": true,
                  "width": 100
                }
              ],
              "data": [
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "",
                      "borderBottomStyle": "solid",
                      "borderBottomWidth": 1,
                      "borderLeftStyle": "hidden",
                      "borderRightStyle": "hidden",
                      "classes": "",
                      "font-weight": "bold"
                    },
                    "value": "State"
                  },
                  "Description": {
                    "align": "center",
                    "editable": false,
                    "justify": "left",
                    "style": {
                      "backgroundColor": "",
                      "borderBottomStyle": "solid",
                      "borderBottomWidth": 1,
                      "borderLeftStyle": "hidden",
                      "classes": "some-class",
                      "font-weight": "bold"
                    },
                    "value": "Description"
                  }
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": "",
                      "color": "#000000"
                    },
                    "value": "Stopped"
                  },
                  "Description": "MHE is Stopped/Disabled\n"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "#c9fcc0",
                      "classes": "",
                      "color": "#000000"
                    },
                    "value": "Enabled"
                  },
                  "Description": "MHE is Enabled (Not Running)"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": ""
                    },
                    "value": "Running"
                  },
                  "Description": "MHE is Running"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "#00ffd0",
                      "classes": "",
                      "color": "#000000"
                    },
                    "value": "Power Saving"
                  },
                  "Description": "MHE is in Power Saving Mode"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "#ff8c00",
                      "classes": "",
                      "color": "#000000"
                    },
                    "value": "Jammed"
                  },
                  "Description": "MHE is Jammed"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "#0008ff",
                      "classes": "",
                      "color": "#FFFFFF"
                    },
                    "value": "Full"
                  },
                  "Description": "MHE is Full"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "#946446",
                      "classes": "",
                      "color": "#FFFFFF"
                    },
                    "value": "Maint Mode"
                  },
                  "Description": "MHE is in Maintenance Mode"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "#B45C5C",
                      "classes": "",
                      "color": "#FFFFFF"
                    },
                    "value": "Maint Running Mode"
                  },
                  "Description": "MHE Running in Maintenance Mode"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "#ff0000",
                      "classes": "",
                      "color": "#FFFFFF"
                    },
                    "value": "Estop / Faulted\n"
                  },
                  "Description": "MHE is Estopped / Faulted\n"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "backgroundColor": "",
                      "borderBottomStyle": "solid",
                      "borderBottomWidth": 1,
                      "borderLeftStyle": "hidden",
                      "borderRightStyle": "hidden",
                      "borderTopStyle": "solid",
                      "borderTopWidth": 1,
                      "classes": "",
                      "font-weight": "bold"
                    },
                    "value": "Priority"
                  },
                  "Description": {
                    "align": "center",
                    "editable": false,
                    "justify": "left",
                    "style": {
                      "backgroundColor": "",
                      "borderBottomStyle": "solid",
                      "borderBottomWidth": 1,
                      "borderLeftStyle": "hidden",
                      "borderTopStyle": "solid",
                      "borderTopWidth": 1,
                      "classes": "",
                      "font-weight": "bold"
                    },
                    "value": "Description"
                  }
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": ""
                    },
                    "value": "Healthy"
                  },
                  "Description": "Healthy, no active alarms"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": "",
                      "color": "#000000"
                    },
                    "value": "Diagnostic"
                  },
                  "Description": "Diagnostic Information"
                },
                {
                  "Color": {
                    "align": "center",
                    "borderLeftColor": "white",
                    "justify": "left",
                    "style": {
                      "classes": "",
                      "color": "#000000"
                    },
                    "value": "Low"
                  },
                  "Description": "Running at reduced capacity",
                  "Status": "Low"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": ""
                    },
                    "value": "Medium"
                  },
                  "Description": "Controlled Stop"
                },
                {
                  "Color": {
                    "align": "center",
                    "justify": "left",
                    "style": {
                      "classes": "some-class"
                    },
                    "value": "High"
                  },
                  "Description": "Uncontrolled Stop"
                }
              ],
              "dragOrderable": false,
              "enableHeader": false,
              "headerStyle": {
                "backgroundColor": "#2B2B2B",
                "color": "#FFFFFF",
                "textIndent": "0px"
              },
              "pager": {
                "bottom": false
              },
              "rows": {
                "highlight": {
                  "color": "#FFFFFF",
                  "enabled": false
                },
                "style": {
                  "classes": "Background-Styles/Controller"
                }
              },
              "selection": {
                "enableRowSelection": false,
                "style": {
                  "fontWeight": "bold"
                }
              }
            },
            "type": "ia.display.table"
          },
          {
            "children": [
              {
                "children": [
                  {
                    "meta": {
                      "name": "EmbeddedView"
                    },
                    "position": {
                      "basis": "320px"
                    },
                    "propConfig": {
                      "props.params.Dataset": {
                        "binding": {
                          "config": {
                            "path": "view.params.Dataset"
                          },
                          "type": "property"
                        }
                      },
                      "props.params.FilteredViews": {
                        "binding": {
                          "config": {
                            "path": "view.params.FilteredViews"
                          },
                          "type": "property"
                        }
                      }
                    },
                    "props": {
                      "path": "PopUp-Views/Legend_Popup/Legend-table"
                    },
                    "type": "ia.display.view"
                  }
                ],
                "meta": {
                  "name": "FlexContainer_6"
                },
                "position": {
                  "basis": "800px",
                  "grow": 1
                },
                "props": {
                  "direction": "column"
                },
                "type": "ia.container.flex"
              }
            ],
            "meta": {
              "name": "FlexContainer"
            },
            "position": {
              "tabIndex": 1
            },
            "props": {
              "direction": "column",
              "style": {
                "overflow": "visible"
              }
            },
            "type": "ia.container.flex"
          }
        ],
        "meta": {
          "name": "TabContainer"
        },
        "position": {
          "basis": "1377px"
        },
        "propConfig": {
          "props.tabs[0]": {
            "binding": {
              "config": {
                "expression": "if({session.custom.colours.colour_impaired}\u003dTrue, \u0027Alt Color\u0027, \u0027Color\u0027)"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "menuStyle": {
            "fontWeight": "bold"
          },
          "style": {
            "classes": "Background-Styles/Controller"
          },
          "tabs": [
            null,
            "Icons"
          ]
        },
        "type": "ia.container.tab"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "style": {
        "backgroundColor": "#3B3B3B",
        "opacity": 1
      }
    },
    "type": "ia.container.flex"
  }
}